Name: kvmtool
Version: 3.18.0
Release: 3%{?dist}
Summary: Lightweight tool for hosting KVM guests    

# COPYING file has the license
License: GPLv2
URL: https://git.kernel.org/cgit/linux/kernel/git/will/kvmtool.git/tree/README
%global commit0 717a3ab0a195626360f40e9d3b4d6d8e072e83ba
Source0: https://git.kernel.org/cgit/linux/kernel/git/will/%{name}.git/snapshot/%{name}-%{commit0}.tar.gz

#Patch0: 0001-kvmtool-makedev-should-be-sourced-from-sysmacros.patch
Patch0: 0001-hw-i8042-Suppress-compiler-warning.patch

BuildRequires:  binutils-devel
BuildRequires:  libaio-devel
BuildRequires:  zlib-devel
# ok I give up, the easy way to build this stuff is simply build with
# libvncserver-devel, then comment it out and rebuild all the failed versions
BuildRequires:  libvncserver-devel
BuildRequires:  libfdt-devel
BuildRequires:  SDL-devel
BuildRequires:  make
BuildRequires:  gcc

#Requires:

# some of these enviroments don't (yet?) have libvncserver, its not fatal if it doesnt' exist though..
# some of the enviroments don't know how to support generate_buildrequires either (rhel8)
#%generate_buildrequires
#dnf search libvncserver-devel 2>&1 |grep -e ^libvnc |head -1 |cut -d. -f1

%description
kvmtool is a lightweight tool for hosting KVM guests. As a pure virtualization
tool it only supports guests using the same architecture, though it supports
running 32-bit guests on those 64-bit architectures that allow this.

%prep
%autosetup -p1 -n %{name}-%{commit0}


%build
%make_build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -d $RPM_BUILD_ROOT%{_bindir}/
install  -m 0644 Documentation/kvmtool.1 $RPM_BUILD_ROOT%{_mandir}/man1/kvmtool.1
install  -m 0755 lkvm                    $RPM_BUILD_ROOT%{_bindir}/lkvm
#PREFIX=$RPM_BUILD_ROOT make install


%files
%license COPYING
%{_bindir}/lkvm
%{_mandir}/man1/*
%doc Documentation/*



%changelog
* Mon May 16 2021 jeremy.linton@arm.com
- Ok, the there is a build plan, lets bump the revision and rebuild since
- the upstream KVM tool hasn't created a new release, but there are a bunch
- of new features/fixes.
* Wed Feb  1 2017 jeremy.linton@arm.com
- 
